clc;
clear;
close all;
load('./all_data');
figure(1)
hold on
plot(tu1(:,1),tu1(:,2),'r-^','LineWidth',1.5);
plot(tu1(:,1),tu1(:,3),'b-s','LineWidth',1.5);
box on
legend('EKF method','Algorithm 1','NumColumns',2)
ylabel('Error/ m');
xlabel('Distance/ m ');
%saveas(gcf, 'distance_comp', 'epsc') 
figure(2)
hold on
plot(tu2(:,1),tu2(:,3),'r-^','LineWidth',1.5);
plot(tu2(:,1),tu2(:,2),'b-s','LineWidth',1.5);
legend('EKF method','Algorithm 1','NumColumns',2)
ylabel('Error / m');
axis([0.2,2,0.5,0.68])
xlabel(' Variance/m^2');
box on
%saveas(gcf, 'variance_comp', 'epsc') 