clc;
clear;
close all;
load('./true_data');
figure(1)
hold on
plot(tu1(:,1),tu1(:,2),'b-^','LineWidth',1.5);
% plot(tu1(:,1)+4,tu1(:,3),'b-s','LineWidth',1.5);
plot(tu1(:,1),tu1(:,4),'r-o','LineWidth',1.5);
legend('EKF','Algorithm 1','Location','NorthWest','NumColumns',3)
box on
ylabel('Error / m');
xlabel('Distance / m ');
% %saveas(gcf, 'distance_comp', 'epsc') 
figure(2)
hold on
plot(tu2(:,1),tu2(:,2),'b-^','LineWidth',1.5);
% plot(tu2(:,1),tu2(:,3),'b-s','LineWidth',1.5);
plot(tu2(:,1),tu2(:,4),'r-o','LineWidth',1.5);
legend('EKF','Algorithm 1','Location','NorthWest','NumColumns',3)
axis([0,6,0,0.6]);
ylabel('Error / m');
xlabel(' Variance / m^2');
box on
% %saveas(gcf, 'variance_comp0_4', 'epsc') 

figure(3)
hold on
plot(tu3(:,1),tu3(:,2),'b-^','LineWidth',1.5);
% hold on
% plot(tu3(:,1),tu3(:,3),'b-s','LineWidth',1.5);
hold on
plot(tu3(:,1),tu3(:,4),'r-o','LineWidth',1.5);
hold on
legend('EKF','Algorithm 1','Location','NorthWest','NumColumns',3)
ylabel('Error / m');
axis([0,6,0.7,1.8])
xlabel(' Variance / m^2');
box on
%saveas(gcf, 'variance_comp1_6', 'epsc') 